Skip to content
Lira APILira API

Organizations

An organization is the top-level entity in Lira. All API keys, verifications, webhooks, and team members belong to an organization.


Create an organization

Call this endpoint to create an organization for the authenticated user. The user is assigned the ORG_ADMIN role and receives fresh tokens scoped to the new organization.

Terminal
curl -X POST https://api.lira.com/api/v1/client/organizations \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Acme Corp" }'

Response

JSON
{
  "organization": {
    "id": "org_...",
    "name": "Acme Corp",
    "email": "you@acme.com",
    "status": "active",
    "settings": {
      "monthlyVerificationLimit": 1000,
      "allowedVerificationTypes": [],
      "webhooksEnabled": true
    },
    "createdAt": "2026-03-09T10:00:00.000Z",
    "updatedAt": "2026-03-09T10:00:00.000Z"
  },
  "auth": {
    "accessToken": "...",
    "refreshToken": "...",
    "expiresIn": 3600,
    "tokenType": "Bearer"
  }
}

Get your organization

Terminal
curl https://api.lira.com/api/v1/client/organizations/current \
  -H "Authorization: Bearer YOUR_TOKEN"

Update organization settings

Update configuration settings for your organization. Requires ORG_ADMIN role.

Terminal
curl -X PATCH https://api.lira.com/api/v1/client/organizations/current/settings \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "settings": {
      "monthlyVerificationLimit": 10000,
      "webhooksEnabled": true
    }
  }'

Settings fields

FieldTypeDescription
monthlyVerificationLimitintegerMaximum number of verifications per month
allowedVerificationTypesarrayRestrict to specific verification types. Empty array means all types are allowed.
webhooksEnabledbooleanEnable or disable webhook deliveries

Next steps